Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class FactorPuntajeDbHelper
    Inherits DbHelper(Of FactorPuntaje,SqlDbType)

#Region "Metodos Generador"
    Public Function GetListFactorPuntajeByFactor(ByVal idFactor as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of FactorPuntaje)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idFactor = idFactor
        Return QueryObject.ExecuteList()
    End Function

    Public Function GetListFactorPuntajeByPlaza(ByVal idPlaza as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of FactorPuntaje)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idPlaza = idPlaza
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class
